curl --request PUT \
--url https://api.novita.ai/openapi/v1/user/team/key-budget \
--header 'Authorization: Bearer <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{"member_id": "<string>", "key_id": "<string>", "budget_type": "Recurring", "budget_limit": 100000, "cycle": "Monthly"}'
{}
Team Budget
Update API Key Budget Configuration
PUT
/
openapi
/
v1
/
user
/
team
/
key-budget
curl --request PUT \
--url https://api.novita.ai/openapi/v1/user/team/key-budget \
--header 'Authorization: Bearer <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{"member_id": "<string>", "key_id": "<string>", "budget_type": "Recurring", "budget_limit": 100000, "cycle": "Monthly"}'
{}
Request Headers
string
必須
Enum:
application/jsonstring
必須
Bearer authentication format, for example: Bearer {{API Key}}.
Request Body
string
必須
Sub-user account ID of the API Key owner.
string
必須
Target API Key ID.
string
必須
Budget type. Possible values:
Unlimited, One-time, Recurring.int64
Budget limit, in units of 1/10000 USD (e.g., 10000 = 1.00).Requiredwhen‘budgettype‘isnot‘Unlimited‘.Minimumvalueis‘10000‘(1.00).
string
Reset cycle. Required when
budget_type=Recurring. Currently only Monthly is supported.Response
Returns HTTP 200 with an empty response body on success.curl --request PUT \
--url https://api.novita.ai/openapi/v1/user/team/key-budget \
--header 'Authorization: Bearer <API_KEY>' \
--header 'Content-Type: application/json' \
--data '{"member_id": "<string>", "key_id": "<string>", "budget_type": "Recurring", "budget_limit": 100000, "cycle": "Monthly"}'
{}
最終更新日 2026年5月15日